using UnityEngine;
using System.Collections;

public class ShardletRotate : MonoBehaviour {

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
        this.transform.RotateAround(this.transform.up, 0.1f);
        this.transform.RotateAround(this.transform.right, 0.08f);
        this.transform.RotateAround(this.transform.forward, 0.12f);
        this.transform.localScale *= 0.94f;
        if (transform.localScale.x < 0.05f) DestroyImmediate(this.gameObject);
	}
}
